Skip to main content
GET
/
cardholders
/
{cardholderId}
Get Cardholder
curl --request GET \
  --url https://api.fyatu.com/api/v2/cardholders/{cardholderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Business-ID: <api-key>'
{
  "status": "success",
  "statusCode": 200,
  "errors": false,
  "message": "<string>",
  "data": {
    "cardholderId": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "[email protected]",
    "phone": "<string>",
    "dateOfBirth": "2023-12-25",
    "gender": "MALE",
    "address": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "status": "ACTIVE",
    "verification": {
      "documentType": "<string>",
      "documentNumber": "<string>",
      "idFrontUrl": "<string>",
      "idBackUrl": "<string>",
      "idSelfieUrl": "<string>",
      "status": "VERIFIED"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Business-ID
string
header
required

Your unique business identifier. Find this in your Business Settings.

Authorization
string
header
required

Your API key as a Bearer token. Example: Bearer sk_live_xxxxxxxxxxxxx

Path Parameters

cardholderId
string
required

Unique cardholder identifier

Response

Cardholder details retrieved

status
string
Example:

"success"

statusCode
integer
Example:

200

errors
boolean
Example:

false

message
string
data
object